/*Font used in the home page*/
@font-face {
    font-family: Neue Regrade;
    src: url('Neue Regrade Bold.otf');
}

/* custom <a> color for the home page*/
#home-page {
    a:not(.btn) {
        color: var(--bs-body-color);
        transition: color 0.5s;

        &:hover {
            color: var(--bs-link-color);
        }
    }
}

/* Style and animate border of contact me card*/
.contact-me-card {
    overflow: hidden;

    &::before {
        position: absolute;
        inset: -1em;
        z-index: -1; /* place behind card content, so card text is selectable, etc */
        border: solid 1.25em;
        border-image: conic-gradient(from var(--angle), #669900, #99cc33, #ccee66, #006699, #3399cc, #990066, #cc3399,
        #ff6600, #ff9900, #ffcc00, #669900) 1;
        filter: blur(.75em);
        animation: rotate-border 5s linear infinite;
        /* needed so pseudo is displayed */
        content: ''
    }
}

/* must register --a to animate it */
@property --angle {
    syntax: '<angle>';
    initial-value: 0deg;
    inherits: false
}

@keyframes rotate-border {
    to {
        --angle: 1turn
    }
}


.text-linear-gradient {
    background: linear-gradient(45deg, var(--bs-primary), var(--bs-secondary));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

/* dmc.HoverCardTarget: fix width of container set to width: fit-content by default*/
[id^='mantine-'][id$='-target'] {
    width: 100% !important;
}

/* add a neon effect of navbar tooltips for dark mode*/
[data-bs-theme="dark"] {
    .mantine-HoverCard-dropdown {
        box-shadow: 0 0 10px var(--bs-primary);
        border-color: var(--bs-primary);
    }

    .mantine-HoverCard-arrow {
        border-bottom-color: var(--bs-primary) !important;
        border-left-color: var(--bs-primary) !important;
    }
}

#_pages_content {
    height: 100%;
}

/* fix parcats fig text on hover */
#graph-program-details text.nums {
    font-family: inherit !important;
    font-size: 13px !important;
}

/* Grid: classes to center group-header, headers and cells*/
.center-aligned-group-header .ag-header-group-cell-label {
    justify-content: center;
}

.center-aligned-header .ag-header-cell-label {
    justify-content: center;
}

.center-aligned-cell {
    text-align: center;
}

/* Grid: background-color of the Total row same as headers*/
#grid-data .ag-row-pinned {
    background-color: var(--ag-header-background-color);
}

/* remove the info control from the maps */
.maplibregl-control-container {
    display: none;
}

/* customized fig rangeslider */
[class^="rangeslider-handle"] {
    width: 6px;
    rx: 3px;
}

.rangeslider-slidebox {
    stroke: grey;
    rx: 1px;
}

.rangeslider-handle-max {
    x: -2px;
}
